This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1258612 - [abrt] plasma-systemsettings: QMessageLogger::fatal(char const*, ...) const(): systemsettings5 killed by SIGABRT
[abrt] plasma-systemsettings: QMessageLogger::fatal(char const*, ...) const()...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: plasma-systemsettings (Show other bugs)
22
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:aa522c8ef995f38ba28191ab522...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-31 14:39 EDT by easdue
Modified: 2016-07-19 13:44 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 13:44:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (39.13 KB, text/plain)
2015-08-31 14:39 EDT, easdue
no flags Details
File: cgroup (258 bytes, text/plain)
2015-08-31 14:39 EDT, easdue
no flags Details
File: core_backtrace (7.15 KB, text/plain)
2015-08-31 14:39 EDT, easdue
no flags Details
File: dso_list (16.88 KB, text/plain)
2015-08-31 14:39 EDT, easdue
no flags Details
File: environ (2.63 KB, text/plain)
2015-08-31 14:39 EDT, easdue
no flags Details
File: limits (1.29 KB, text/plain)
2015-08-31 14:39 EDT, easdue
no flags Details
File: maps (84.71 KB, text/plain)
2015-08-31 14:39 EDT, easdue
no flags Details
File: mountinfo (3.26 KB, text/plain)
2015-08-31 14:39 EDT, easdue
no flags Details
File: namespaces (85 bytes, text/plain)
2015-08-31 14:39 EDT, easdue
no flags Details
File: open_fds (974 bytes, text/plain)
2015-08-31 14:39 EDT, easdue
no flags Details
File: proc_pid_status (1.01 KB, text/plain)
2015-08-31 14:39 EDT, easdue
no flags Details
File: var_log_messages (263 bytes, text/plain)
2015-08-31 14:39 EDT, easdue
no flags Details

  None (edit)
Description easdue 2015-08-31 14:39:36 EDT
Description of problem:
Started System Settings and clicked Display and monitor to disable screen locking because that crashes very often since today. Display and Monitor loads and then crashes.

Version-Release number of selected component:
plasma-systemsettings-5.3.2-1.fc22

Additional info:
reporter:       libreport-2.6.2
backtrace_rating: 4
cmdline:        /bin/systemsettings5
crash_function: QMessageLogger::fatal(char const*, ...) const
executable:     /usr/bin/systemsettings5
global_pid:     25209
kernel:         4.1.6-200.fc22.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #2 QMessageLogger::fatal(char const*, ...) const at global/qlogging.cpp:1575
 #4 QSGRenderLoop::handleContextCreationFailure(QQuickWindow*, bool) at /usr/src/debug/qtdeclarative-opensource-src-5.5.0/src/quick/scenegraph/qsgrenderloop.cpp:243
 #5 QSGThreadedRenderLoop::handleExposure(QQuickWindow*) at /usr/src/debug/qtdeclarative-opensource-src-5.5.0/src/quick/scenegraph/qsgthreadedrenderloop.cpp:916
 #6 QSGThreadedRenderLoop::exposureChanged(QQuickWindow*) at /usr/src/debug/qtdeclarative-opensource-src-5.5.0/src/quick/scenegraph/qsgthreadedrenderloop.cpp:854
 #7 QWindow::event(QEvent*) at kernel/qwindow.cpp:2053
 #8 QQuickWindow::event(QEvent*) at /usr/src/debug/qtdeclarative-opensource-src-5.5.0/src/quick/items/qquickwindow.cpp:1414
 #9 QApplicationPrivate::notify_helper(QObject*, QEvent*) at kernel/qapplication.cpp:3717
 #10 QApplication::notify(QObject*, QEvent*) at kernel/qapplication.cpp:3500
 #11 QCoreApplication::notifyInternal(QObject*, QEvent*) at kernel/qcoreapplication.cpp:965
 #12 QGuiApplicationPrivate::processExposeEvent(QWindowSystemInterfacePrivate::ExposeEvent*) at ../../src/corelib/kernel/qcoreapplication.h:227
Comment 1 easdue 2015-08-31 14:39:40 EDT
Created attachment 1068721 [details]
File: backtrace
Comment 2 easdue 2015-08-31 14:39:41 EDT
Created attachment 1068722 [details]
File: cgroup
Comment 3 easdue 2015-08-31 14:39:42 EDT
Created attachment 1068723 [details]
File: core_backtrace
Comment 4 easdue 2015-08-31 14:39:44 EDT
Created attachment 1068724 [details]
File: dso_list
Comment 5 easdue 2015-08-31 14:39:45 EDT
Created attachment 1068725 [details]
File: environ
Comment 6 easdue 2015-08-31 14:39:46 EDT
Created attachment 1068726 [details]
File: limits
Comment 7 easdue 2015-08-31 14:39:48 EDT
Created attachment 1068727 [details]
File: maps
Comment 8 easdue 2015-08-31 14:39:52 EDT
Created attachment 1068728 [details]
File: mountinfo
Comment 9 easdue 2015-08-31 14:39:54 EDT
Created attachment 1068729 [details]
File: namespaces
Comment 10 easdue 2015-08-31 14:39:55 EDT
Created attachment 1068730 [details]
File: open_fds
Comment 11 easdue 2015-08-31 14:39:56 EDT
Created attachment 1068731 [details]
File: proc_pid_status
Comment 12 easdue 2015-08-31 14:39:57 EDT
Created attachment 1068732 [details]
File: var_log_messages
Comment 13 Fedora End Of Life 2016-07-19 13:44:44 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.